# QGraphicsGridLayout Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsLayout.

### Constructor

- void QGraphicsGridLayout(QGraphicsLayoutItem parent)

### Constructor Properties

- prototype: The QGraphicsGridLayout prototype object

### Prototype Object Properties

The QGraphicsGridLayout prototype object inherits properties from the QGraphicsLayout prototype object and also has the following properties.

- void addItem(QGraphicsLayoutItem item, int row, int column, Alignment alignment)
- Alignment alignment(QGraphicsLayoutItem item)
- Alignment columnAlignment(int column)
- int columnCount()
- qreal columnMaximumWidth(int column)
- qreal columnMinimumWidth(int column)
- qreal columnPreferredWidth(int column)
- qreal columnSpacing(int column)
- int columnStretchFactor(int column)
- qreal horizontalSpacing()
- QGraphicsLayoutItem itemAt(int row, int column)
- void removeItem(QGraphicsLayoutItem item)
- Alignment rowAlignment(int row)
- int rowCount()
- qreal rowMaximumHeight(int row)
- qreal rowMinimumHeight(int row)
- qreal rowPreferredHeight(int row)
- qreal rowSpacing(int row)
- int rowStretchFactor(int row)
- void setAlignment(QGraphicsLayoutItem item, Alignment alignment)
- void setColumnAlignment(int column, Alignment alignment)
- void setColumnFixedWidth(int column, qreal width)
- void setColumnMaximumWidth(int column, qreal width)
- void setColumnMinimumWidth(int column, qreal width)
- void setColumnPreferredWidth(int column, qreal width)
- void setColumnSpacing(int column, qreal spacing)
- void setColumnStretchFactor(int column, int stretch)
- void setHorizontalSpacing(qreal spacing)
- void setRowAlignment(int row, Alignment alignment)
- void setRowFixedHeight(int row, qreal height)
- void setRowMaximumHeight(int row, qreal height)
- void setRowMinimumHeight(int row, qreal height)
- void setRowPreferredHeight(int row, qreal height)
- void setRowSpacing(int row, qreal spacing)
- void setRowStretchFactor(int row, int stretch)
- void setSpacing(qreal spacing)
- void setVerticalSpacing(qreal spacing)
- qreal verticalSpacing()

### Instance Properties

QGraphicsGridLayout objects have no special properties beyond those inherited from the QGraphicsGridLayout prototype object.